#
# spec file for package setserial
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           setserial
Version:        2.17
Release:        745.5
Summary:        A utility for configuring serial ports
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://setserial.sourceforge.net
Source0:        ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.bz2
Patch0:         %{name}-%{version}-autoconf.diff
Patch1:         %{name}-%{version}-error.diff
Patch2:         %{name}-%{version}-prototypes.diff
Patch3:         %{name}-%{version}-nohayes.diff
Patch4:         %{name}-%{version}-binaryInUsr.patch
BuildRequires:  groff
Requires:       /sbin/isserial
Provides:       util:/sbin/setserial
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Setserial is a basic system utility for displaying or setting serial
port information. Setserial can reveal and allow you to alter the I/O
port and IRQ that a particular serial device is using.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3 -p1
%patch4

chmod -x rc.serial

%build
CFLAGS="%{optflags} -Wall" \
%configure
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/init.d
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sbindir}
%make_install STRIP=:
#UsrMerge
mkdir -p %{buildroot}/bin
ln -sf %{_bindir}/setserial %{buildroot}/bin
#EndUsrMerge

%files
%defattr(-,root,root)
%doc README setserial.lsm rc.serial
%doc %{_mandir}/man?/*
%{_bindir}/*
#UsrMerge
/bin/*
#EndUsrMerge

%changelog
* Mon May 12 2014 tchvatal@suse.com
- Clean up with spec-cleaner.
- Remove removal of initscript (deprecated 2 years ago)
* Thu Nov  1 2012 toganm@opensuse.org
- add groff to BuildRequires
- removed executable permission from rc.serial
* Fri Feb 17 2012 rschweikert@suse.com
- place binary in /usr tree (UsrMerge project)
- add patch to modify the initialization script to properly handle
  relocated binaries
* Mon Feb 13 2012 dvaleev@suse.com
- removed symlink to obsoleted init script
* Tue Jan 10 2012 dlovasko@suse.com
- Removed setserial.init (obsolete)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Jul 30 2010 coolo@novell.com
- recent kernels do no longer have linux/hayesesp.h
* Mon Sep 29 2008 anicka@suse.cz
- disable init script by default (bnc#429523)
* Sun Aug 17 2008 aj@suse.de
- Fix initscript.
* Fri Jul 28 2006 olh@suse.de
- setserial bootscript depends on $local_fs and boot.loadmodules (#181972)
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  8 2005 mjancar@suse.cz
- add rcsetserial symlink (#63594)
* Thu Mar  4 2004 ro@suse.de
- rcscript: remain silent in "stop" case
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Thu Oct 23 2003 mjancar@suse.cz
- implement status in rcscript
* Wed Sep 10 2003 mjancar@suse.cz
- don't try to setup nonexistent serial ports in rcscript (#30361)
- fix missing function prototypes
* Fri Sep  5 2003 mjancar@suse.cz
- return 1 on error (#30152)
* Sat Mar 15 2003 olh@suse.de
- run post script on all archs, dummy script for some archs
  change logic to 'run if needed'
* Wed Aug 14 2002 nadvornik@suse.cz
- added PreReq: %%insserv_prereq [bug #17698]
* Thu Jul 11 2002 nadvornik@suse.cz
- renamed init script to setserial
- do not source /etc/rc.config
- stop and status return correct value
* Wed Jun 12 2002 ro@suse.de
- use new macro for insserv
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 kukuk@suse.de
- Add init.d/serial script moved from aaa_base, fix setserial
  location and output messages [Bug #5420]
* Sat Oct 21 2000 kukuk@suse.de
- Fix typo in spec file
* Fri Oct 20 2000 kukuk@suse.de
- Initial version, split from util package
